# Class GwasCatalog

java.lang.Object
org.snpsift.gwasCatalog.GwasCatalog

All Implemented Interfaces:
  `Iterable<GwasCatalogEntry>`

public class GwasCatalog extends Object implements Iterable<GwasCatalogEntry>
GWAS catalog table. It is small enough to fit in memory Refernces: http://www.genome.gov/gwastudies/

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`GwasCatalog(String fileName)`

## Method Summary

Modifier and Type
Method
Description
`List<GwasCatalogEntry>`
`get(String key)`
`List<GwasCatalogEntry>`
`get(String chrName, int pos)`
Get all entries at a given chromosome invalid input: '&' position Note: Position is zero based.
`List<GwasCatalogEntry>`
`getByRs(String rs)`
Get an entry based on 'RS' number
`Iterator<GwasCatalogEntry>`
`iterator()`
`String`
`key(String chrName, int pos)`
Create a 'key' string
`String`
`key(GwasCatalogEntry ge)`
Create a 'key' string
`protected void`
`load(String fileName)`
Load data from file

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### GwasCatalog

public GwasCatalog(String fileName)

## Method Details

### get

public List<GwasCatalogEntry> get(String key)

### get

public List<GwasCatalogEntry> get(String chrName, int pos)
Get all entries at a given chromosome invalid input: '&' position Note: Position is zero based.

### getByRs

public List<GwasCatalogEntry> getByRs(String rs)
Get an entry based on 'RS' number

### iterator

public Iterator<GwasCatalogEntry> iterator()

Specified by:
  `iterator` in interface `Iterable<GwasCatalogEntry>`

### key

public String key(GwasCatalogEntry ge)
Create a 'key' string

### key

public String key(String chrName, int pos)
Create a 'key' string

### load

protected void load(String fileName)
Load data from file